Subject: [PATCH] doc: Document 'auto-start?' field of 'shepherd-service'.

From: Diego Nicola Barbato <[email-masked]>
Date: Sat, 11 May 2019 18:05:41 +0200

Hi Guix,

This patch adds the missing 'auto-start?' field to the documentation of
'shepherd-service'.

I have also noticed that the 'documentation' field is not in the same
position as it is in the source code (the remaining fields are in the
right order).  I did not change this as I was not sure whether it was
done on purpose.

Regards,

Diego

>From 74c8321303d47b7c28f873c4e560b9fbaf136cfb Mon Sep 17 00:00:00 2001
From: Diego Nicola Barbato <[email-masked]>
Date: Sat, 11 May 2019 17:21:18 +0200
Subject: [PATCH] doc: Document 'auto-start?' field of 'shepherd-service'.

* doc/guix.texi (shepherd-service): Document 'auto-start?' field.
---
 doc/guix.texi | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/doc/guix.texi b/doc/guix.texi
index 3f50bf77fe..86ed199aed 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -25312,6 +25312,10 @@ This is a list of @code{shepherd-action} objects (see below) defining
 herd @var{action} @var{service} [@var{arguments}@dots{}]
 @end example
 
+@item @code{auto-start?} (default: @code{#t})
+Whether this service should be started automatically by the Shepherd.  If it
+is @code{#f} the service has to be started manually with @code{herd start}.
+
 @item @code{documentation}
 A documentation string, as shown when running:
 
-- 
2.21.0